Name:           python-pygsti
Version:        0.9.13.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A python implementation of Gate Set Tomography

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.pygsti.info
Source:         %{pypi_source pygsti}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pygsti' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pygsti
Summary:        %{summary}

%description -n python3-pygsti %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pygsti complete,diamond-norm,evolutionary-optimization,extensions,html-reports,interpygate,linting,memory-profiling,mongodb,msgpack,multiprocessor,no-mpi,notebooks,pytorch,report-pdf-figures,reports,testing,testing-no-cython,testing-no-cython-mpi


%prep
%autosetup -p1 -n pygsti-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x complete,diamond-norm,evolutionary-optimization,extensions,html-reports,interpygate,linting,memory-profiling,mongodb,msgpack,multiprocessor,no-mpi,notebooks,pytorch,report-pdf-figures,reports,testing,testing-no-cython,testing-no-cython-mpi


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pygsti -f %{pyproject_files}


%changelog
%autochangelog